<ion-header>

  <ion-navbar>
    <ion-title>RoomBooking</ion-title>
  </ion-navbar>

</ion-header>
<ion-content padding style="background-image:url('./assets/img/logo1.png');background-repeat: no-repeat;background-size: 100% 100%">



  <ion-list class="list-form">
      <div *ngIf="roomBooking">
    <ion-item class="date_input_field">
      <ion-label>From Date</ion-label>
      <ion-input type="date" name="optFromDate" [(ngModel)]="bookingrooms.optFromDate" class="date-line"></ion-input>
    </ion-item>
    <ion-item class="date_input_field">
      <ion-label>To Date</ion-label>
      <ion-input type="date" name="optToDate" [(ngModel)]="bookingrooms.optToDate" class="date-line"></ion-input>
    </ion-item>

    <ion-item class="lines">
      <ion-label>Reference Type</ion-label>
      <ion-select interface="popover" type="text" name="referenceType"
       [(ngModel)]="bookingrooms.referenceType">
        <ion-option value="Self">Self</ion-option>
        <ion-option value="Referred">Referred By</ion-option>
      </ion-select>
    </ion-item>


    <div *ngIf="bookingrooms.referenceType == 'Referred' || bookingrooms.referenceType == 'Self'">
      <!-- <ion-label>Employee Details:</ion-label> -->


      <!-- <ion-item class="lines">

        <ion-input type="text" name="employeeName" [(ngModel)]="bookingrooms.employeeName" placeholder="Employee Name"></ion-input>
      </ion-item>

      <ion-item class="lines">

        <ion-input type="text" name="employeeDesignation" [(ngModel)]="bookingrooms.employeeDesignation" placeholder="Employee Designation"></ion-input>
      </ion-item>

      <ion-item class="lines">

        <ion-input type="text" name="employeePlaceOfWork" [(ngModel)]="bookingrooms.employeePlaceOfWork" placeholder="Employee Location"></ion-input>
      </ion-item>

      <ion-item class="lines">

        <ion-input type="text" name="employeeEmail" [(ngModel)]="bookingrooms.employeeEmail" placeholder="Employee Email"></ion-input>
      </ion-item>

      <ion-item class="lines">

        <ion-input type="tel" name="employeeMobileNumber" maxlength="10" [(ngModel)]="bookingrooms.employeeMobileNumber" placeholder="Employee MobileNumber"></ion-input>
      </ion-item> -->

      <div *ngIf="bookingrooms.referenceType == 'Referred'">

        <ion-item class="lines">

          <ion-input type="text" name="guestName" [(ngModel)]="bookingrooms.guestName" placeholder="Guest Name"></ion-input>
        </ion-item>

        <ion-item class="lines">

          <ion-input type="email" name="guestEmail" [(ngModel)]="bookingrooms.guestEmail" placeholder="Guest Email"></ion-input>
        </ion-item>

        <ion-item class="lines">

          <ion-input type="tel" name="guestMobileNumber" [(ngModel)]="bookingrooms.guestMobileNumber" placeholder="Guest MobileNumber" maxlength="10"></ion-input>
        </ion-item>

      </div>
      <ion-row radio-group name="purpose" [(ngModel)]="bookingrooms.purpose">

        <ion-item col-6 class="official">
            <ion-radio value="Official"></ion-radio>
          <ion-label style="border-bottom: none!important;">Official</ion-label>
          
        </ion-item>
        <ion-item col-6 class="official">
            <ion-radio value="Personal"></ion-radio>
          <ion-label style="border-bottom: none!important;">Personal</ion-label>
         
        </ion-item>

      </ion-row>
    </div>




    <ion-row style="margin-left: 10px; color: #fff;">
      <ion-col col-6>
        
          <ion-label class="color_white">Darshan Required ?</ion-label>
        
      </ion-col>
      <ion-col col-6>
       

          <ion-row radio-group>
            <ion-col col-6>
              <label class="item item-radio">
                <div class="item-content color_wit">
                  <ion-radio type="radio" value="true" (click)="Yes()"></ion-radio>  Yes
                </div>
                
                <i class="radio-icon ion-checkmark"></i>
              </label>
            </ion-col>
            <ion-col col-6>
              <label class="item item-radio">
                <div class="item-content color_wit">
                  <ion-radio type="radio" value="false" checked="true" (click)="No()"></ion-radio> No
                </div>
               

                <i class="radio-icon ion-checkmark"></i>
              </label>
            </ion-col>
          </ion-row>

       
      </ion-col>

    </ion-row>
</div>
    <form *ngIf="isDarshan && !Userinfo">

      <ion-item>
        <ion-label>Darshan Date</ion-label>
        <ion-input type="date" name="darshanDate" class="date-line" [(ngModel)]="bookingrooms.darshanDate"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Darshan Type</ion-label>
        <ion-select interface="popover" type="text" name="darshanType" 
        [(ngModel)]="bookingrooms.darshanType">
          <ion-option value='VIP break Darshan'>VIP break</ion-option>
          <ion-option value='Kalyanam'>Kalyanam</ion-option>
          <ion-option value='Suprabatham'>Suprabatham</ion-option>
          <!-- <ion-option value='Others'>other</ion-option> -->
        </ion-select>
      </ion-item>
      <ion-item *ngIf="bookingrooms.darshanType == 'Others'">
        <ion-input placeholder="text" type="text"></ion-input>
      </ion-item>
      <ion-card class="custom-cards" *ngFor="let item of this.bookingrooms.guestsinfo">
        <ion-row>
          <ion-col col-8>
            <ion-item>Name: {{item.guestName}}</ion-item>
            <ion-item>Age: {{item.age}}</ion-item>
            <ion-item>Gender: {{item.gender}}</ion-item>
          </ion-col>
          <ion-col col-4>
            <ion-thumbnail item-start>
              <img src="{{item.IDProofUrl}}">
            </ion-thumbnail>
  
          </ion-col>
        </ion-row>
      </ion-card>
      <!-- <ion-card class="custom-cards" *ngIf="this.bookingrooms.guestsinfo.length > 0">
        <ion-row style="background: #f5c6cb!important; font-size: 12px; font-family: roboto regular!important;">
          <ion-col col-7 class="text-color">Guest Name</ion-col>
          <ion-col col-2 class="text-color">Age</ion-col>
          <ion-col col-3 class="text-color">Gender</ion-col>

        </ion-row>
        <ion-row *ngFor="let item of this.bookingrooms.guestsinfo" style="font-size: 12px; font-family: roboto regular!important; border-top: 1px solid lightgray!important;" >
          <ion-col col-7>{{item.guestName}}</ion-col>
          <ion-col col-2>{{item.age}}</ion-col>
          <ion-col col-3>{{item.gender}}</ion-col>
        </ion-row>
      </ion-card> -->

    </form>


    <div *ngIf="Userinfo">
      <form #guest="ngForm">

            <ion-item>

              <ion-input type="text" name="guestName" placeholder="Guest Name" [(ngModel)]="guestsInformation.guestName" #guestName="ngModel"
                required></ion-input>
            </ion-item>

            <ion-item>

              <ion-input type="tel" name="age" placeholder="Guest Age" [(ngModel)]="guestsInformation.age" #age="ngModel" required></ion-input>
            </ion-item>

            <ion-item>
              <ion-label>Gender:</ion-label>
              <ion-select interface="popover" type="text" name="gender" [(ngModel)]="guestsInformation.gender" #gender="ngModel" required>
                <ion-option value='Male'>Male</ion-option>
                <ion-option value='Female'>Female</ion-option>
              </ion-select>
            </ion-item>

            <ion-item class="add_aadhar">
                <p>{{imageURI}}</p>
                <button  class="add_aadhar" ion-button full color="primary" (click)="takePhoto(0)">Add Your Aadhar Card Image</button>
              </ion-item>
              <ion-item class="add_aadhar">
                <!-- <h4>Image Preview</h4> -->
    
                <ion-thumbnail item-start *ngIf="guestsInformation.IDProofUrl.length>0">
                    <img [src]="guestsInformation.IDProofUrl">
                  </ion-thumbnail> 
                <!-- <img src="{{guestsInformation.IDProofUrl}}" *ngIf="imageFileName" alt="Ionic File" width="300" /> -->
              </ion-item>

            <!-- <ion-item>
              <ion-label>ID Type:</ion-label>
              <ion-select interface="popover" type="text" name="IDProofType" [(ngModel)]="guestsInformation.IDProofType" #IDProofType="ngModel"
                required>
                <ion-option value='Pan'>Pan</ion-option>
                <ion-option value='Aadhar'>Aadhar</ion-option>
              </ion-select>
            </ion-item>

            <ion-item>

              <ion-input type="text" name="IDProof" [(ngModel)]="guestsInformation.IDProof" #IDProof="ngModel" placeholder="Guest ID Proof"
                required></ion-input>
            </ion-item> -->



          <!-- <img class="guest-button" (click)="selectGuestInfo()" src="assets/imgs/plus.png" /> -->
          <ion-row>
            <ion-col col-4>
              <button ion-button full class="savebtn" (click)="addGuestDetails()" [disabled]="guest.invalid">Add</button>
            </ion-col>
            <!-- <ion-col col-4>
              <button ion-button full class="savebtn" (click)="goBack()">Verify</button>
            </ion-col> -->
            <ion-col col-2>

            </ion-col>
              <!-- <button ion-button round class="savebtn" (click)="userDetails()">Next</button> -->
            </ion-row>
          <!-- <button ion-button block (click)="selectGuestInfo()" style="margin: 6% 5%;" 
           [disabled]="guest.invalid">Add</button> -->
   
      </form>
    </div>
  </ion-list>



  <!-- <button ion-button block>SIGN UP</button> -->

</ion-content>


<ion-footer class="footer-class" *ngIf="!Userinfo">
  <ion-row class="nextbtn" style="margin: 5px 0 5px 0;">
      <ion-col col-1>
      
        </ion-col>
    <ion-col col-4>
      <button ion-button block *ngIf="bookingrooms.isDarshanRequired==true" (click)="selectGuestInfoo()">Add Guest</button>
    </ion-col>
    <ion-col col-5>
      <button ion-button block (click)="booking()">Confirm Booking </button>
    </ion-col>
    <ion-col col-2>
      
    </ion-col>


  </ion-row>
</ion-footer>